{
  "swagger": "2.0",
  "info": {
    "title": "feedback.proto",
    "version": "version not set"
  },
  "tags": [
    {
      "name": "Method"
    }
  ],
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "paths": {},
  "definitions": {
    "feedbackAddReply": {
      "type": "object",
      "properties": {
        "identity": {
          "type": "string"
        }
      }
    },
    "feedbackFeedbackAccessory": {
      "type": "object",
      "properties": {
        "identity": {
          "type": "string"
        },
        "item_identity": {
          "type": "string"
        },
        "title": {
          "type": "string",
          "title": "附件标题"
        },
        "file_path": {
          "type": "string",
          "title": "附件地址"
        }
      }
    },
    "feedbackFeedbackImage": {
      "type": "object",
      "properties": {
        "identity": {
          "type": "string"
        },
        "itemIdentity": {
          "type": "string"
        },
        "url": {
          "type": "string"
        }
      }
    },
    "feedbackFeedbackItem": {
      "type": "object",
      "properties": {
        "identity": {
          "type": "string"
        },
        "user_identity": {
          "type": "string",
          "title": "用户唯一标识"
        },
        "user_name": {
          "type": "string",
          "title": "用户名称"
        },
        "status": {
          "type": "integer",
          "format": "int32",
          "title": "状态,1未处理,2已处理,也可以调用方自行设置,如果未设置则默认是1"
        },
        "created_at": {
          "type": "string",
          "title": "创建时间"
        },
        "updated_at": {
          "type": "string",
          "title": "更新时间"
        },
        "title": {
          "type": "string",
          "title": "标题"
        },
        "content": {
          "type": "string",
          "title": "内容"
        },
        "images": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/feedbackFeedbackImage"
          },
          "title": "图片"
        },
        "remark": {
          "type": "string",
          "title": "反馈信息"
        },
        "category": {
          "type": "string",
          "title": "类型: 1:pre_sales 2:after_sales"
        },
        "accessories": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/feedbackFeedbackAccessory"
          }
        },
        "email": {
          "type": "string",
          "title": "邮箱"
        },
        "phone": {
          "type": "string",
          "title": "手机号码"
        },
        "store_identity": {
          "type": "string",
          "title": "店铺标识"
        },
        "agency": {
          "type": "string",
          "title": "代理"
        }
      }
    },
    "feedbackGetReply": {
      "type": "object",
      "properties": {
        "record": {
          "$ref": "#/definitions/feedbackFeedbackItem"
        },
        "exists": {
          "type": "boolean"
        }
      }
    },
    "feedbackListReply": {
      "type": "object",
      "properties": {
        "count": {
          "type": "string",
          "format": "int64"
        },
        "list": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/feedbackFeedbackItem"
          }
        }
      }
    },
    "feedbackStatusReply": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32",
          "title": "状态码"
        },
        "message": {
          "type": "string",
          "title": "状态说明"
        },
        "details": {
          "type": "string",
          "title": "数据"
        },
        "timeseq": {
          "type": "string",
          "format": "int64",
          "title": "响应时间序列"
        }
      }
    },
    "protobufAny": {
      "type": "object",
      "properties": {
        "@type": {
          "type": "string"
        }
      },
      "additionalProperties": {}
    },
    "rpcStatus": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/protobufAny"
          }
        }
      }
    }
  }
}
